Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class IdentityAssetPathConverter

    java.lang.Object
      org.apache.tapestry5.internal.services.IdentityAssetPathConverter

All Implemented Interfaces:
  AssetPathConverter

    public class IdentityAssetPathConverter

extends java.lang.Object
implements AssetPathConverter

Returns the default asset path unchanged. This is an invariant converter.

Since:
  5.1.0.0

Constructor Summary
`IdentityAssetPathConverter()`

Method Summary
`java.lang.String` | `convertAssetPath(java.lang.String assetPath)` Converts the default asset client URI to its final form, ready to be sent to the client.
`boolean` | `isInvariant()` Returns true if the converter returns that same converted path for any specific asset path (in which case, the converted asset path may be cached in component instance variables more aggresively).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentityAssetPathConverter

    public IdentityAssetPathConverter()

Method Detail

### isInvariant

    public boolean isInvariant()

  Description copied from interface: `AssetPathConverter`
  Returns true if the converter returns that same converted path for any specific asset path (in which case, the converted asset path may be cached in component instance variables more aggresively). This value should be false if the converted path can vary for the same input path ... that is, if external factors (such as the identity of the user, or information obtained from the request) is involved in generating the final client URI.

  Specified by:
    `isInvariant` in interface `AssetPathConverter`
  Returns:
    true

### convertAssetPath

    public java.lang.String convertAssetPath(java.lang.String assetPath)

  Description copied from interface: `AssetPathConverter`
  Converts the default asset client URI to its final form, ready to be sent to the client. The default asset path is an absolute path (it starts with a leading slash) and incorporates the context path if any.

  Specified by:
    `convertAssetPath` in interface `AssetPathConverter`
  Parameters:
    `assetPath` - default asset path
  Returns:
    assetPath unchanged

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.